FIX::NullLog Class Reference

Null implementation of Log. More...

`#include <Log.h>`

Inheritance diagram for FIX::NullLog:
[legend]
Collaboration diagram for FIX::NullLog:
[legend]

## Public Member Functions

void | clear ()
void | backup ()
void | onIncoming (const std::string &)
void | onOutgoing (const std::string &)
void | onEvent (const std::string &)
Public Member Functions inherited from FIX::Log
virtual | ~Log ()

## Detailed Description

Null implementation of Log.

This is only for internal use. Used when no log factory is passed to the initiator or acceptor.

Definition at line 100 of file Log.h.

## Member Function Documentation

## backup()

void FIX::NullLog::backup | ( |  | ) |

inline virtual

Implements FIX::Log.

Definition at line 104 of file Log.h.

{}

## clear()

void FIX::NullLog::clear | ( |  | ) |

inline virtual

Implements FIX::Log.

Definition at line 103 of file Log.h.

{}

## onEvent()

void FIX::NullLog::onEvent | ( | const std::string & |  | ) |

inline virtual

Implements FIX::Log.

Definition at line 107 of file Log.h.

{}

## onIncoming()

void FIX::NullLog::onIncoming | ( | const std::string & |  | ) |

inline virtual

Implements FIX::Log.

Definition at line 105 of file Log.h.

{}

## onOutgoing()

void FIX::NullLog::onOutgoing | ( | const std::string & |  | ) |

inline virtual

Implements FIX::Log.

Definition at line 106 of file Log.h.

{}

The documentation for this class was generated from the following file:

- Log.h